<div class="container">
  <form novalidate (ngSubmit)="addSpace()" #addSpaceForm="ngForm">
    <mat-form-field>
      <input matInput required [(ngModel)]="space.name" placeholder="Name" name="name">
      <mat-error *ngIf="addSpaceForm.controls.name?.errors?.required">Name is required</mat-error>
    </mat-form-field>
  
    <mat-form-field class="example-full-width">
      <input type="text" required placeholder="Location" matInput [(ngModel)]="selectedName"
      name="location" [matAutocomplete]="auto" (ngModelChange)="doFilter()" appAutoCompleteValidator>
      <mat-error *ngIf="addSpaceForm.controls.location?.errors?.required">Location is required</mat-error>
      <mat-error *ngIf="addSpaceForm.controls.location?.errors?.optionSelected">Valid location has to be selected</mat-error>
    </mat-form-field>

    <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete" (optionSelected)="setSelected($event)" [displayWith]="displayFunction">
      <mat-option *ngFor="let location of filteredLocations" [value]="location" class="option">
        {{ location.name }}, {{ location.city}}
      </mat-option>
    </mat-autocomplete>

    <div class="center">
      <button mat-button type="submit" [disabled]="!addSpaceForm.valid" name="add-space">Add space</button>
    </div>

  </form>
</div>
